Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9544

Department: CARMEQ Affected Products: ADTF 3.3.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Support Anfrage:

Hallo,

das Verhalten von ADTF bei Skalierung der Bildschirmanzeige hat sich von 3.3.0 auf 3.3.1 massiv verändert.

Die angehängten Screenshots stellen das Verhalten von 3.3.0 und 3.3.1 bei einer Skalierung von 150% gegenüber. Die Schriften

werden in der gleichen (plausiblen) Größe dargestellt. In 3.3.1 sind allerdings die Widgets absurd groß gezeichnet.

In Verbindung mit der Beschränkung der am Rand angeordneten Unterfenster (System Editor, Properties, Project View ...) auf eine

minimale Breite bzw. Höhe ist es selbst auf einem 24"-Monitor nicht mehr möglich, das Editorfenster auf eine sinnvolle Größe

aufzuziehen. Auf kleineren Displays (Laptop im Fahrzeug) ist es ganz vorbei.

Ein temporärer Workaround ist natürlich, die Skalierung zu reduzieren. Dann sind aber die extrem kleinen Schriften in ADTF für mich

nur noch schwer zu erkennen. Die Vergrößerung der Schriften von 100% über 125% und 150% ist ja auch in der neuen Version

linear und vernünftig. Lediglich die Widgets machen bei 3.3.1 diesen nicht nachvollziehbaren Sprung, der den Editor unbenutzbar

macht.

Lösung:

Verhalten ist reproduzierbar.

Es wurde das Produktticket (BUG) ACORE-9544 erstellt.

Weitere Bearbeitung erfolgt über das Produktticket.

History

#1 - 2018-06-12 12:17 - hidden

- Topic set to ADTF::Common

Hallo Christian,

auf was für Bildschirmen (Größe, max. Auflösung, usw) hast Du dies versucht?

Was für eine Auflösung ist bei den Bildschirmen eingestellt?

Hast Du bereits versucht dies mit einer anderen Auflösung (nicht Skalierung) aufzurufen?

Danke und Gruß

Matthias

#2 - 2018-06-12 12:17 - hidden

- Status changed from New to Customer Feedback Required

#3 - 2018-06-12 13:00 - hidden

Hallo Matthias,

ich habe es ursprünglich getestet mit 24", Auflösung: Full-HD (1920x1200).

Auf Deine Frage hin habe ich eben noch einmal andere Auflösungen ausprobiert. Es sieht aber so aus, als würde es an der Skalierung liegen. Bei

1280x960 und 1600x1024 zeigt sich das gleiche Verhalten. Auch hier sind die Windgets gegenüber der Schrift überproportional groß. Höhere

Auflösungen als 1920x1200 lässt mein Grafikkartentreiber an diesem Monitor leider nicht zu.
Grüße,

Christian

#4 - 2018-06-12 15:40 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2018-06-13 12:39 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9544

Hallo Christian,

wir können das Verhalten reproduzieren.

Wir haben hierfür ein Produktticket ACORE-9544 (Bug) eröffnet.

Siehe auch Link im Ticket.

Die weitere Bearbeitung des Bug erfolgt über das Produktticket.

Können wir das Support Ticket damit schließen?

#6 - 2018-06-13 13:22 - hidden

Hi Mathhias,

vielen Dank für die Info. Leider kann ich das verlinkte ACORE-Ticket nicht ansehen. Könnt ihr mich dafür freischalten?

Danke.

Christian

#7 - 2018-06-13 13:59 - hidden

Hallo Christian,

wir können Dich leider nicht freischalten. Wir haben dort selbst keine Rechte zum Freischalten.

Wenn ich das richtig sehe hast Du bereits einen Account im CIP/JIRA.

Dann bitte über einen CIPTASK für diesen Bereich bzw die ACORE Tickets als Watcher freischalten lassen.

Gerne das Produktticket als Referenz angeben.

Gruß

Matthias

#8 - 2018-06-15 10:11 - hidden

Hallo Christian,

können wir das Support Ticket schließen?

Hast Du einen CIPTASK zum lesenden Zugriff auf die ACORE Tickets erstellt?

Gruß

Matthias

#9 - 2018-06-15 16:23 - hidden

Ja, könnt ihr schließen. CIPTASK erstelle ich noch ...

#10 - 2018-06-18 08:17 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#11 - 2018-06-26 15:36 - hidden

- Project changed from 4 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
#12 - 2018-07-16 10:08 - hidden

Nachtrag:

Die Skalierung kann über die Konsole deaktiviert werden, indem man z.B. vor dem Start des Configuration Editors ein CMD Fenster öffnet und die

Umgebungsvariable QT_AUTO_SCREEN_SCALE_FACTOR auf den Wert 0 setzt:

set QT_AUTO_SCREEN_SCALE_FACTOR=0

Anschließend adtf_configuration_editor.exe von ADTF 3.3.1 über das selbe CMD Fenster starten.
